%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate ansiterm

Name:           rust-ansiterm
Version:        0.12.2
Release:    1%{?dist}
Summary:        Library for ANSI terminal colours and styles (bold, underline)

License:        MIT
URL:            https://crates.io/crates/ansiterm
Source0:         %{crates_source}
Patch:          ansiterm-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Library for ANSI terminal colours and styles (bold, underline).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi_colours-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi_colours-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi_colours" feature of the "%{crate}" crate.

%files       -n %{name}+ansi_colours-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive_serde_style-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive_serde_style-devel %{_description}

This package contains library source intended for building other packages which
use the "derive_serde_style" feature of the "%{crate}" crate.

%files       -n %{name}+derive_serde_style-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.2-1
- initial build
